#include "locmin.h"
#include <iostream>
#include <climits>
using namespace std;

pair<int,int> find_locmin_point(int N,int M){
  int l,c,bestl,bestc;
  long long minval=LLONG_MAX;

  for(l=1;l<=N;l++){
    for(c=1;c<=M;c++){
      long long val=value(l,c);
      if(val<minval){
        minval=val;
        bestl=l;
        bestc=c;
      }
    }
  }

  return {bestl,bestc};
}
